
#include "pch.h"
#include "RegDumpViewCPU.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

/////////////////////////////////////////////////////////////////////////////
// CRegDumpViewCPU
IMPLEMENT_DYNAMIC(CRegDumpViewCPU, CDocPaneDlgViewBase)

CRegDumpViewCPU::CRegDumpViewCPU(UINT nErrID)
	: CDocPaneDlgViewBase(nErrID)
{
	m_pDlg = &m_Dlg;
}

CRegDumpViewCPU::~CRegDumpViewCPU()
    = default;

BEGIN_MESSAGE_MAP(CRegDumpViewCPU, CDocPaneDlgViewBase)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// обработчики сообщений CRegDumpViewCPU

void CRegDumpViewCPU::SetFreqParam()
{
	m_Dlg.DisplayFreqParam();
}

void CRegDumpViewCPU::UpdateFreq()
{
	m_Dlg.UpdateFreq();
}

void CRegDumpViewCPU::DisplayRegDump()
{
	if (IsVisible())
	{
		m_Dlg.DisplayRegisters();
		m_Dlg.DisplayPortRegs();
		m_Dlg.DisplayAltProData();
		// выводим на экран данные FDD
	}
}

